Subject: Re: bug#69631: 30.0.50; native compilation errors

From: Andrea Corallo <[email-masked]>
Date: Fri, 08 Mar 2024 08:59:46 -0500

Andrea Corallo <[email-masked]> writes:

> [email-masked] writes:
>
>> On 08.03.2024 13:46, Andrea Corallo wrote:
>>> I confirm master is broken even for normal --with-native-compilation
>>> (worked yesterday for me as well).
>>> The troublesome function in button.el seems to be
>>> 'button--describe',
>>> I'm having a look.
>>>
>> When I try make bootstrap it fails with:
>>
>> Loading macroexp.elc...
>> Wrong type argument: eieio--class, #s(built-in-class record "Abstract
>> type of objects with slots." (#s(built-in-class atom "The type of
>> anything but cons cells." (#s(built-in-class t "The type of
>> everything." nil nil nil)) nil nil)) nil nil)
>> make[4]: *** [../../lisp/international/emoji-labels.el] Error 255
>> make[3]: *** [../lisp/international/charprop.el] Error 2
>> make[2]: *** [src] Error 2
>> ***
>> *** "make bootstrap" failed with exit status 2.
>>
>> Again, I think I have seen this for a few days (I have been grepping
>> for "record").
>
> I'm boostrapped master many times this week with no issues, maybe we
> have a different setup.
>
> Anyway I fixed with 966d0a62a1a  the
> "Type or missing from typeof-types!" issue,
> this was a latent error highlited by the recent changes.
>
> Bootstrap now progress further but fails while compiling emoji-labels.el :/
                                                 ^^^
                                                 generating

I think I'll leave this to Stefan as it looks closely related to his
recent changes and doesn't seem to involve the native compiler.

Thanks

  Andrea